Name:		jday
Version:        2.4
Release:        3%{?dist}
Summary:        A simple command to convert calendar dates to julian dates
Group:          Applications/Engineering
License:        BSD
URL:            http://sourceforge.net/projects/jday/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
A simple command to convert calendar dates to julian dates. 
Quite useful in timing situations where you need elapsed time between dates. 
Also useful for astronomy applications. 

%package devel
Summary:        Development files for jday
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
BuildRequires:	pkgconfig

%description devel
Contains library and header files for developing applications that use jday

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog README AUTHORS NEWS
%{_bindir}/dbd
%{_bindir}/j2d
%{_bindir}/jday
%{_mandir}/man1/jday.1.gz
%{_libdir}/libjday.so.2.0.4
%{_libdir}/libjday.so.2

%files devel
%{_includedir}/jday.h
%{_libdir}/libjday.so
%{_libdir}/pkgconfig/jday.pc

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.4-3
- Autorebuild for GCC 4.3

* Sat Jan 12 2007 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 2.4-2
- Changed the groups to correct ones

* Thu Jan 03 2007 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 2.4-1
- Changed ldconfig,URL and other things to make package compliant with 
  fedora packaging standards

* Thu Jan 03 2007 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 2.4-0
- Initial version.

